Go to the latest version of this document.

# ``twisted`.`web`.`error`.`Error``

exception documentation

`class Error(Exception): (source)`

Known subclasses: `twisted.web.client.PartialDownloadError`, `twisted.web.error.InfiniteRedirection`, `twisted.web.error.PageRedirect`, `twisted.web.error.RedirectWithNoLocation`

Constructor: `Error(code, message, response)`

View In Hierarchy

A basic HTTP error.

Parameters
message | A short error message, for example "NOT FOUND".

Method | `__init__` | Initializes a basic exception.
Method | `__str__` | Undocumented
Instance Variable | `message` | Undocumented
Instance Variable | `response` | A complete HTML document for an error page.
Instance Variable | `status` | Refers to an HTTP status code, for example `http.NOT_FOUND`.

def __init__(self, code: `int | bytes`, message: `bytes | None` = None, response: `bytes | None` = None): (source)
overridden in `twisted.web.error.InfiniteRedirection`, `twisted.web.error.PageRedirect`, `twisted.web.error.RedirectWithNoLocation`

Initializes a basic exception.

Parameters
code:`bytes` or `int` | Refers to an HTTP status code (for example, 200) either as an integer or a bytestring representing such. If no `message` is given, `code` is mapped to a descriptive bytestring that is used instead.
message:`bytes` | A short error message, for example `b"NOT FOUND"`.
response:`bytes` | A complete HTML document for an error page.

def __str__(self) -> `str`: (source)

Undocumented

message: `bytes | None` = (source)
overridden in `twisted.web.error.InfiniteRedirection`, `twisted.web.error.PageRedirect`, `twisted.web.error.RedirectWithNoLocation`

Undocumented

response: `bytes | None` = (source)
overridden in `twisted.web.client.PartialDownloadError`

A complete HTML document for an error page.

status: `bytes` = (source)

Refers to an HTTP status code, for example `http.NOT_FOUND`.